gmp_divexact
gmp_fact
GMP Functions
PHP Manual

# gmp_export

(PHP 5, PHP 7 >= 5.6.1)

gmp_export — Export to a binary string

### Description

string gmp_export ( GMP `$gmpnumber` , integer `$word_size` , integer `$options` )

Export a GMP number to a binary string

### Parameters

`gmpnumber`

  The GMP number being exported

`word_size`

  Default value is 1. The number of bytes in each chunk of binary data. This is mainly used in conjunction with the options parameter.

`options`

  Default value is GMP_MSW_FIRST | GMP_NATIVE_ENDIAN.

### Return Values

Returns a string or `FALSE` on failure.

### Examples

Example #1 gmp_export() example

`<?php
$number = gmp_init(16705);
echo gmp_export($number) . "\n";
?>`

The above example will output:

    AA

gmp_divexact
gmp_fact
GMP Functions
PHP Manual